%define oname  vobject

Name:          python-%{oname}
Version:       0.9.8
Release:       %mkrel 3
Summary:       A python library for manipulating vCard and vCalendar files
Group:         Development/Python
License:       ASL 2.0
Url:           https://eventable.github.io/vobject/
Source0:       https://pypi.io/packages/source/v/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:     noarch

%description
VObject is intended to be a full featured python library for parsing and
generating vCard and vCalendar files.

%package -n    python3-%{oname}
Summary:       A python 3 library for manipulating vCard and vCalendar files
Group:         Development/Python
BuildRequires: pkgconfig(python3)
Requires:      python3dist(setuptools)
%{?python_provide:%python_provide python3-%{oname}}
Obsoletes:     python2-vobject < 0.9.6.1-5

%description -n python3-%{oname}
VObject is intended to be a full featured python 3 library for parsing and
generating vCard and vCalendar files.

%prep
%setup -q -n %{oname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files vobject

%files -n python3-%{oname} -f %{pyproject_files}
%doc README.md
%{_bindir}/change_tz
%{_bindir}/ics_diff


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.9.8-3.mga10
+ Revision: 2240818
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.9.8-2.mga10
+ Revision: 2157896
- rebuild for python3.13

* Fri Oct 04 2024 daviddavid <daviddavid> 0.9.8-1.mga10
+ Revision: 2103079
- new version: 0.9.8

* Sun Apr 21 2024 daviddavid <daviddavid> 0.9.7-1.mga10
+ Revision: 2060187
- new version: 0.9.7

* Thu Jan 11 2024 papoteur <papoteur> 0.9.6.1-12.mga10
+ Revision: 2029939
- Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.9.6.1-11.mga9
+ Revision: 1825608
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.9.6.1-10.mga9
+ Revision: 1775145
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 0.9.6.1-9.mga9
+ Revision: 1706977
- rebuild for python 3.9

* Mon Jan 11 2021 wally <wally> 0.9.6.1-8.mga8
+ Revision: 1671148
- obsolete old python2 pkg also providing change_tz and ics_diff

* Wed Jul 22 2020 ovitters <ovitters> 0.9.6.1-7.mga8
+ Revision: 1608088
- rebuild for get rid of pythonegg requires

* Sun Feb 16 2020 umeabot <umeabot> 0.9.6.1-6.mga8
+ Revision: 1532135
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.9.6.1-5.mga8
+ Revision: 1441660
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.9.6.1-4.mga7
+ Revision: 1351975
- rebuild with python 3.7

* Tue Jan 08 2019 shlomif <shlomif> 0.9.6.1-3.mga7
+ Revision: 1351555
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.9.6.1-2.mga7
+ Revision: 1290513
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 0.9.6.1-1.mga7
+ Revision: 1244466
- new version: 0.9.6.1

* Fri Jul 13 2018 daviddavid <daviddavid> 0.9.6-1.mga7
+ Revision: 1243382
- new version: 0.9.6
- rename python-vobject to python2-vobject

* Sat Aug 05 2017 pterjan <pterjan> 0.9.5-2.mga7
+ Revision: 1135683
- Rebuild for python 3.6

* Tue Jul 18 2017 daviddavid <daviddavid> 0.9.5-1.mga7
+ Revision: 1124850
- new version: 0.9.5

* Tue Jan 03 2017 daviddavid <daviddavid> 0.9.3-1.mga6
+ Revision: 1079834
- new version: 0.9.3

* Mon Mar 14 2016 daviddavid <daviddavid> 0.9.2-1.mga6
+ Revision: 990589
- new version: 0.9.2

* Fri Mar 04 2016 daviddavid <daviddavid> 0.9.1-1.mga6
+ Revision: 985447
- new version: 0.9.1

* Sun Feb 14 2016 daviddavid <daviddavid> 0.9.0-2.mga6
+ Revision: 959964
- add back python(3)-setuptools as requires

* Sun Feb 14 2016 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 959959
- new version: 0.9.0
- add python3 package
- use new python macros
- update URL and Source URL
- do not restrict version of python-dateutil
- remove obsolete patch

* Mon Feb 08 2016 umeabot <umeabot> 0.8.1c-10.mga6
+ Revision: 947763
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1c-9.mga5
+ Revision: 747302
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.1c-8.mga5
+ Revision: 729962
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1c-7.mga5
+ Revision: 688409
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8.1c-5.mga4
+ Revision: 544560
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8.1c-4.mga4
+ Revision: 499711
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.8.1c-3.mga3
+ Revision: 379675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 philippem <philippem> 0.8.1c-2.mga2
+ Revision: 168931
- Add python-setuptools as requires since it is needed for the ics_diff script

* Sun Nov 06 2011 gil <gil> 0.8.1c-1.mga2
+ Revision: 164006
- imported package python-vobject


* Tue Jul 26 2011 gil <gil> 0.8.1c-0.%%mkrel
- initial rpm

